SUNAT Taxpayer by RUC
curl --request POST \
--url https://api.croma.run/pe/sunat/ruc/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ruc": "20100070970"
}
'import requests
url = "https://api.croma.run/pe/sunat/ruc/v1"
payload = { "ruc": "20100070970" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ruc: '20100070970'})
};
fetch('https://api.croma.run/pe/sunat/ruc/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"found": true,
"ruc": "<string>",
"taxpayer_name": "<string>",
"taxpayer_type": "<string>",
"taxpayer_status": "<string>",
"taxpayer_condition": "<string>",
"fiscal_address": "<string>",
"document_type": "<string>",
"document_number": "<string>",
"trade_name": "<string>",
"registration_date": "<string>",
"activities_start_date": "<string>",
"emission_system": "<string>",
"foreign_trade_activity": "<string>",
"accounting_system": "<string>",
"economic_activities": [
"<string>"
],
"payment_vouchers": [
"<string>"
],
"electronic_emission_systems": [
"<string>"
],
"electronic_emitter_since": "<string>",
"electronic_vouchers": "<string>",
"ple_affiliated_since": "<string>",
"registries": [
"<string>"
]
}
}{
"job": {
"id": "<string>",
"endpoint": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"status_url": "<string>"
},
"data": {},
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}Look up a Peruvian taxpayer’s full record by RUC (11 digits).
Supports async delivery: set Prefer: wait=N for an inline result, pass callback_url to receive a POST when ready, or poll GET /jobs/{id}.
POST
/
pe
/
sunat
/
ruc
/
v1
SUNAT Taxpayer by RUC
Authorizations
Use Authorization: Bearer YOUR_API_KEY
Headers
Set wait=N to hold the connection up to N seconds for an inline result. If the job finishes in time you get the normal 200 body; otherwise a 202 with a status_url to poll.
Example:
"wait=30"
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I